package utils

import "go.mongodb.org/mongo-driver/bson/primitive"

var PackConfPath = "package.json"
var ConfigPath = "uploader.json"
var OutputDb = "db.json"
var AppConfPath = "app.json"
var VersionApi = "https://www.3dqueen.cloud/cloud/v1/lancher/up/version"

type UpConfItem struct {
	Files    []string
	Modify   string
	PackName string
	Dest     string
}

// 数据库versions集合对应字段
type AppVersion struct {
	Id        primitive.ObjectID `json:"_id"`
	Label     string             `json:"label"`
	Name      string             `json:"name"`
	Icon      string             `json:"icon"`
	Type      string             `json:"type"`
	Version   string             `json:"version"`
	SizeM     float32            `json:"sizeM"`
	Url       string             `json:"url"`
	Platform  string             `json:"platform"`
	Thumbnail string             `json:"thumbnail"`
	Desc      string             `json:"desc"`
	AppType   string             `json:"appType"`
	InstCount int                `json:"instCount"`
}

// db.json对应字段
type Version struct {
	Label     string `json:"label"`
	Name      string `json:"name"`
	Icon      string `json:"icon"`
	Type      string `json:"type"`
	Version   string `json:"version"`
	SizeM     int    `json:"sizeM"`
	Url       string `json:"url"`
	Platform  string `json:"platform"`
	Thumbnail string `json:"thumbnail"`
	Desc      string `json:"desc"`
	AppType   string `json:"appType"`
	InstCount int    `json:"instCount"`
}

// app.json对应字段
type App struct {
	Name           string   `json:"name"`
	Version        string   `json:"version"`
	LastUpdateDate string   `json:"lastUpdateDate"`
	Icon           string   `json:"icon"`
	RevAssets      []string `json:"revAssets"`
	Size           string   `json:"size"`
	Tags           string   `json:"tags"`
	Desc           string   `json:"desc"`
	Entry          string   `json:"entry"`
	Type           string   `json:"type"`
	Key            string   `json:"key"`
	InstCount      int      `json:"instCount"`
}
